Eclipse Platform Release 3.7

## org.eclipse.help
Interface ITopic

All Superinterfaces:
  IHelpResource, IUAElement

All Known Subinterfaces:
  ITopic2

    public interface ITopic

extends IUAElement, IHelpResource

An `ITopic` is one topic in the table of contents, which may contain subtopics.

Since:
  2.0

Field Summary
`static String` `TOPIC` This is element name used for topic in XML files.

Fields inherited from interface org.eclipse.help.IHelpResource
`HREF, LABEL`

Method Summary
`ITopic[]` `getSubtopics()` Obtains the topics contained in this node.

Methods inherited from interface org.eclipse.help.IUAElement
`getChildren, isEnabled`

Methods inherited from interface org.eclipse.help.IHelpResource
`getHref, getLabel`

Field Detail

### TOPIC

    static final String TOPIC

  This is element name used for topic in XML files.

  See Also:
    Constant Field Values

Method Detail

### getSubtopics

    ITopic[] getSubtopics()

  Obtains the topics contained in this node.

  Returns:
    Array of ITopic

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.